﻿@font-face {
  font-family: "PlaywriteHU";
  src: url("../fonts/PlaywriteHU-VariableFont_wght.ttf") format("truetype");
  font-weight: 100 900; /* da Variable Font mit Gewicht-Variation */
  font-style: normal;
  font-display: swap;
}
@font-face {
  font-family: "CormorantInfant";
  src: url("../fonts/CormorantInfant-VariableFont_wght.ttf") format("truetype");
  font-weight: 100 400 500 900; /* da Variable Font mit Gewicht-Variation */
  font-style: normal;
  font-display: swap;
}
@media (min-width: 576px) {
  .container {
    max-width: 500px;
  }
}
@media (min-width: 768px) {
  .container {
    max-width: 650px;
  }
}
@media (min-width: 992px) {
  .container {
    max-width: 768px;
  }
}
@media (min-width: 1200px) {
  .container {
    max-width: 1028px;
  }
}
@media (min-width: 1400px) {
  .container {
    max-width: 1200px;
  }
}
.btn-primary {
  background-color: #642e4d;
  color: #fef8ec;
  border: #642e4d;
}
.btn-primary:hover {
  background-color: #411e32;
  color: #fff;
}

.navbar {
  border-bottom: 6px solid #b68697;
  background-color: rgb(244, 226, 236);
}
.navbar a {
  color: #662565;
}
.navbar a:hover {
  color: #411740;
}

.bg-rose {
  background-color: rgb(244, 226, 236);
}

body {
  scroll-behavior: smooth;
  background-color: #fef8ec;
  font-family: "CormorantInfant", sans-serif;
  font-size: 1.2rem;
  color: #5c4f41;
}

h1, h2, h3 {
  color: #662565;
}

.navbar-brand img {
  height: 50px;
}

section {
  padding: 60px 0;
}

small, small.form-text {
  color: #c3909e;
  margin-top: 8px;
  display: block;
}

.form-group {
  margin-bottom: 1.2rem;
}

input::placeholder {
  color: #c3909e !important;
  opacity: 1 !important;
}

.gallery {
  --bs-gutter-x: 3rem;
  --bs-gutter-y: 1.5rem;
}

.gallery img {
  width: 100%;
  height: auto;
  border-radius: 8px;
  transition: transform 0.3s;
  object-fit: cover;
}

.gallery img:hover {
  transform: scale(1.05);
}

#socials {
  display: flex;
  justify-content: space-evenly;
  max-width: 500px;
  font-size: 28px;
  margin-top: 8vh;
  margin-bottom: 8vh;
}
#socials a {
  color: #662565;
}

footer {
  background-color: #b68697;
}

#home {
  background-image: url("../img/background-kitchen.png");
  background-size: cover;
  background-color: rgba(255, 255, 255, 0.25);
  background-blend-mode: lighten;
  background-position: center;
  /*background-attachment: fixed;*/
  padding-bottom: 50px;
  padding-top: 33vh;
}

#mainlogo {
  max-width: 246px;
  margin-bottom: -182px;
}

#sublogo {
  padding-top: 100px;
  border-top: 16px solid #b68697;
}

#about .img-fluid {
  max-height: 400px;
}

@media (max-width: 768px) {
  #mainlogo {
    max-width: 252px;
    margin-bottom: -184px;
  }
}
.cta {
  font-size: 1.2rem;
}

#gallery {
  overflow: hidden;
}

#order-configurator .step {
  max-height: 0;
  overflow: hidden;
  opacity: 0;
  transition: max-height 0.7s ease, opacity 0.7s ease;
}
#order-configurator .step.active {
  max-height: 3000px;
  opacity: 1;
}
#order-configurator .step .order-type, #order-configurator .step .order-amount {
  text-align: center;
  background-color: #9f8092;
  border-radius: 8px;
  color: #fef8ec;
  border: none;
  cursor: pointer;
  min-height: 180px;
  padding: 16px;
}
#order-configurator .step .order-type h3, #order-configurator .step .order-amount h3 {
  color: #fef8ec;
  margin-bottom: 28px;
}
#order-configurator .step .order-type h3 strong, #order-configurator .step .order-amount h3 strong {
  color: #fff;
}
#order-configurator .step .order-type img, #order-configurator .step .order-amount img {
  max-width: 100%;
  width: 198px;
  margin: 24px auto 8px;
  border-radius: 8px;
  overflow: hidden;
  transition: transform 0.3s ease-in;
}
#order-configurator .step .order-type:hover img, #order-configurator .step .order-amount:hover img {
  transform: scale(1.05);
}
#order-configurator .step .order-amount {
  display: flex;
  justify-content: center;
  align-content: center;
}
#order-configurator .step .order-amount h3 {
  margin: 0;
}
#order-configurator .step form {
  text-align: justify;
}
#order-configurator .step #contact-hint a {
  color: #c3909e;
  text-decoration: none;
  font-size: 0.9rem;
}
#order-configurator .step #contact-hint a strong {
  color: #642e4d;
  text-decoration: underline;
}

#testimonials .testimonial {
  text-align: center;
}
#testimonials .testimonial-image {
  width: 100%;
  border-radius: 8px;
  max-width: 172px;
  margin: 0 auto 1rem auto;
}
#testimonials .testimonial-quote {
  font-style: italic;
  font-size: 1rem;
  margin: 0 0 0.5rem 0;
  background: #fef8ec;
  padding: 11px;
  position: relative;
  margin: 4px 16px 24px;
}
#testimonials .testimonial-quote::before, #testimonials .testimonial-quote::after {
  content: "";
  position: absolute;
  top: 0;
  bottom: 0;
  background-color: #fef8ec;
  transform: skewX(-5deg);
  width: 22px;
}
#testimonials .testimonial-quote::before {
  left: -14px;
}
#testimonials .testimonial-quote::after {
  right: -14px;
}
#testimonials .testimonial-quote .testimonial-author {
  font-weight: bold;
  font-style: normal;
  font-size: 1.2rem;
  margin-top: 16px;
  color: #c3909e;
}

.toast-center {
  top: 50% !important;
  left: 50% !important;
  transform: translate(-50%, -50%) !important;
  position: fixed !important;
  z-index: 9999 !important;
}
